Skip to main content
GET
/
job-boards
/
{vacancyId}
Get job board postings for vacancy
curl --request GET \
  --url https://api.gospott.com/job-boards/{vacancyId} \
  --header 'x-api-key: <api-key>'
{
  "jobBoardPostings": [
    {
      "id": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "unpublishedAt": "2023-11-07T05:31:56Z",
      "closedAt": "2023-11-07T05:31:56Z",
      "applyUrl": "<string>",
      "targetStageId": "<string>",
      "linkedInProjectUrl": "<string>",
      "responseCount": 123,
      "channel": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

vacancyId
string
required

Query Parameters

limit
integer
default:250
Required range: 1 <= x <= 250
cursor
string
jobBoardProvider
enum<string>
Available options:
LINKEDIN,
SPOTT,
BROADBEAN,
IDIBU,
VDAB_VACATURE

Response

Job board postings returned successfully.

jobBoardPostings
object[]
required
pagination
object
required